Subscription manage link
List manage link subscriptions
Lists the manage link’s subscriptions, the subscriptions of one renewal order, that the company still runs. Requires a manage link token.
GET
/
api
/
checkout
/
v2026-04
/
manage-link
/
subscriptions
List manage link subscriptions
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"subscriptions": [
{
"id": 48213,
"subscription_token": "sb_7Qm2VxK9pRtL4wNc8HzJdF",
"status": "active",
"next_bill_date": "2026-10-13T13:00:00Z",
"timezone": "America/New_York",
"quantity": 1,
"price": 49.99,
"currency_code": "USD",
"billing_interval": 1,
"billing_interval_unit": "month",
"allow_skipping": true,
"pending_skip": false,
"item": {
"name": "Daily Greens",
"variant": {
"id": 9182,
"sku": "GRN-30",
"title": "30 servings"
},
"image_url": "https://cdn.fluid.app/products/daily-greens.jpg"
}
}
],
"meta": {
"request_id": "6f1c2a9e-3b7d-4e58-9a21-c4d8e0b7f312",
"timestamp": "2026-10-10T15:22:08Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}⌘I
List manage link subscriptions
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/manage-link/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"subscriptions": [
{
"id": 48213,
"subscription_token": "sb_7Qm2VxK9pRtL4wNc8HzJdF",
"status": "active",
"next_bill_date": "2026-10-13T13:00:00Z",
"timezone": "America/New_York",
"quantity": 1,
"price": 49.99,
"currency_code": "USD",
"billing_interval": 1,
"billing_interval_unit": "month",
"allow_skipping": true,
"pending_skip": false,
"item": {
"name": "Daily Greens",
"variant": {
"id": 9182,
"sku": "GRN-30",
"title": "30 servings"
},
"image_url": "https://cdn.fluid.app/products/daily-greens.jpg"
}
}
],
"meta": {
"request_id": "6f1c2a9e-3b7d-4e58-9a21-c4d8e0b7f312",
"timestamp": "2026-10-10T15:22:08Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}